-- Source: based loosely on interpretations by Bev G
-- https://exemplore.com/fortune-divination/Playing-Card-Tarot-Yes-No-Answers
grammar = {
  origin = {
    -- Spades: thought, communication
    "♠ A — yes, knowing the truth",
    "♠ 2 — no, truth as yet unknown",
    "♠ 3 — no, lacking communication",
    "♠ 4 — maybe, needing time to recover",
    "♠ 5 — maybe, be direct about intentions",
    "♠ 6 — yes, proceed slowly, path of least resistance",
    "♠ 7 — yes, if convinced; no, if attempting deception",
    "♠ 8 — maybe, wait and try hard",
    "♠ 9 — no, getting one's affairs in order first",
    "♠ 10 — no, most likely not happening",
    "♠ J — yes, focusing on the goal",
    "♠ Q — yes, if knowing the truth beforehand",
    "♠ K — likely, weighing all options objectively",
    -- Clubs: inspiration, action
    "♣ A — yes, seize the momentum",
    "♣ 2 — no, no more to be done besides reorganising plans",
    "♣ 3 — yes, with patience",
    "♣ 4 — yes, all is well so far",
    "♣ 5 — no, push through the current situation first",
    "♣ 6 — yes, definitely",
    "♣ 7 — maybe, if others can be convinced",
    "♣ 8 — yes, do it now",
    "♣ 9 — yes, slowly",
    "♣ 10 — no, hang on and wait for the situation to improve",
    "♣ J — yes, if safe; no, if risky",
    "♣ Q — yes, with any encouragement you can find",
    "♣ K — yes, without losing sight of the bigger picture",
    -- Diamonds: material, money
    "♦ A — yes, all is favourable",
    "♦ 2 — yes, if organised and in control",
    "♦ 3 — yes, for work-related matters",
    "♦ 4 — yes, after reallocating resources",
    "♦ 5 — no, risks cannot be taken",
    "♦ 6 — yes, if giving; unlikely, if receiving",
    "♦ 7 — maybe, if ready to initiate change",
    "♦ 8 — yes, check the details first",
    "♦ 9 — yes, to be done alone",
    "♦ 10 — yes, if having family support or blessings",
    "♦ J — yes, with hard work",
    "♦ Q — yes, while handling the practical aspects",
    "♦ K — yes, with studious determination",
    -- Hearts: love, emotions
    "♥ A — yes, enjoy the moment",
    "♥ 2 — yes, welcome it",
    "♥ 3 — yes, have fun",
    "♥ 4 — no, not in a good emotional state",
    "♥ 5 — no, with a heavy heart",
    "♥ 6 — yes, possibly related to the past",
    "♥ 7 — maybe, there are multiple potential paths",
    "♥ 8 — yes, although slowly or reluctantly",
    "♥ 9 — yes, it is fine",
    "♥ 10 — yes, a good time to aspire towards fulfillment",
    "♥ J — yes, though short-lived",
    "♥ Q — yes, be attentive to others' needs",
    "♥ K — likely, with restraint"
  }
}
